summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/xgettext-csharp-5
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/xgettext-csharp-5')
-rw-r--r--[-rwxr-xr-x]gettext-tools/tests/xgettext-csharp-514
1 files changed, 2 insertions, 12 deletions
diff --git a/gettext-tools/tests/xgettext-csharp-5 b/gettext-tools/tests/xgettext-csharp-5
index 77acd94..7584a16 100755..100644
--- a/gettext-tools/tests/xgettext-csharp-5
+++ b/gettext-tools/tests/xgettext-csharp-5
@@ -3,10 +3,6 @@
# Test C# support: --add-comments option.
-tmpfiles=""
-trap 'rm -fr $tmpfiles' 1 2 3 15
-
-tmpfiles="$tmpfiles xg-cs-5.cs"
cat <<EOF > xg-cs-5.cs
// This comment will not be extracted.
Console.WriteLine(GetString("help"));
@@ -24,15 +20,11 @@ Console.WriteLine(GetString("there is not enough" +
+ "verbose string"));
EOF
-tmpfiles="$tmpfiles xg-cs-5.tmp.po xg-cs-5.po"
: ${XGETTEXT=xgettext}
${XGETTEXT} --omit-header --no-location --add-comments=TRANSLATORS: \
- -d xg-cs-5.tmp xg-cs-5.cs
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
-LC_ALL=C tr -d '\r' < xg-cs-5.tmp.po > xg-cs-5.po
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+ -d xg-cs-5.tmp xg-cs-5.cs || exit 1
+LC_ALL=C tr -d '\r' < xg-cs-5.tmp.po > xg-cs-5.po || exit 1
-tmpfiles="$tmpfiles xg-cs-5.ok"
cat <<EOF > xg-cs-5.ok
msgid "help"
msgstr ""
@@ -61,6 +53,4 @@ EOF
${DIFF} xg-cs-5.ok xg-cs-5.po
result=$?
-rm -fr $tmpfiles
-
exit $result